package com.mx.dla.dda.admin.catalogos.addons.actions;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.mx.dla.dda.admin.catalogos.grupoestudio.bos.GrupoEstudioBO;
import com.mx.dla.dda.admin.catalogos.grupoestudio.dtos.GrupoEstudioDTO;
import com.mx.dla.dda.contrato.common.actions.BaseContratoAction;

public class AgregarAddOnAction extends BaseContratoAction{
	
	private static final long serialVersionUID = 1L;
	
	// public List<GrupoEstudioDTO> grupos;
	
	// @Autowired
	// private GrupoEstudioBO grupoEstudioBO;
	
	@Override
	public String execute() {
		logger.debug("In AgregarAddOnAction.");
		// setGrupos(grupoEstudioBO.obtenerGrupoEstudio(null));
		this.getSession().put("pmn", this.getPmn());
		this.getSession().put("pmnReturn", this.getPmnReturn());
		return SUCCESS;
	}
	/*
	public void setGrupos(List<GrupoEstudioDTO> grupos) {
		this.grupos = grupos;
	}
	
	public List<GrupoEstudioDTO> getGrupos() {
		return grupos;
	}
	*/
}
